#ifndef  __BSP_UART_H__
#define __BSP_UART_H__


#include "CH585SFR.h"


#define  UART3_RX_PIN   GPIO_Pin_20   //PB20  日志打印
#define  UART3_TX_PIN   GPIO_Pin_21  // PB21

// 定义Shell活动超时时间(毫秒)
#define  SHELL_ACTIVITY_TIMEOUT   30000  // 30秒无活动后允许系统睡眠

void BSP_UART1_Init(void);
unsigned int BSP_Uart1_Receive_Data(void *buf, unsigned int len);
unsigned int BSP_Uart1_Send_Data(const void *buf, unsigned int len);

void BSP_UART3_Init(void);
unsigned int BSP_Uart3_Receive_Data(void *buf, unsigned int len);
unsigned int BSP_Uart3_Send_Data(const void *buf, unsigned int len);
void BSP_Shell_Loop(void);


#endif

